ADA2WSDL(1)

NAME
ada2wsdl - Generate a WDSL document from an Ada package specification

SYNOPSIS
ada2wsdl [options] ada_spec

DESCRIPTION
The Ada Web Server is a library that allows you to embed a web server into your Ada application. It provides not only HTTP but also SOAP, WSDL and several other facilities. Thus you can write full-fledged web applications. WSDL (Web Service Definition Language) is a language based on XML. WSDL documents describe, in a formal way, the interface to Web Services. This description consists of the end-point (URL to the server offering the service), the SOAPAction (needed to call the remote procedure), the procedure names and a description of the input and output parameters. Using ada2wsdl, you can create a WSDL document that describes Web Services provided by an Ada package. ada2wsdl uses ASIS to parse your Ada package specification, and generates a WSDL document by mapping Ada types to Web Services types, and Ada subprograms to operations. Please see the AWS User's guide for more details on how ada2wsdl works, and how you can use it to develop web services.

OPTIONS

-a url
    Specify the URL for the Web Server address. Web Services will be available at this address. A port can be specified on the URL, http://server[:port]. The default value is http://.../.

-f  Force creation of the WSDL file. Overwrite exiting file with the same name.

-I path
    Add path option for the ASIS compilation step. This option can appear any number of time on the command line.

-noenum
    Do not generate WSDL representation for Ada enumerations, map them to standard string.

-o file
    Generate the WSDL document into file.

-q  Quiet mode (no output).

-s name
    Specify the Web Service name for the WSDL document, by default the spec package's name is used.

-v  Verbose mode, display the parsed spec.

BUGS
ada2wsdl does not handle constrained arrays in records. Unbounded_String are supported with full interoperability only inside a record. Only unconstrained arrays are supported. Arrays with multiple dimensions are not supported.

SEE ALSO
awsres(1), wsdl2aws(1) The Ada Web Server User's Guide in package libaws-doc.

AUTHOR
wsdl2aws was written by Dmitriy Anisimkov <anisimkov@yahoo.com> and Pascal Obry <p.obry@wanadoo.fr> as part of the Ada Web Server. This manual page was written by Ludovic Brenta <ludovic.brenta@insalien.org> for Debian GNU/Linux.